curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/block_storage/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/block_storage/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”The page number from which you want your page search results to be displayed.
Number of results per page
Project ID Find your project id here
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”A successful response containing block storage details
object
Response status code
object
Unique identifier for the block storage
Name of the block storage
Size of the block storage in MB
Status of the block storage
object
Device prefix
Storage driver type
Total IOPS per second
Details of the VM associated with the block storage (if any)
object
Timestamp of when the block storage was created
Human-readable size of the block storage
Any errors that occurred during the operation (if applicable)
object
Response message indicating success
Example
{ "code": 200, "data": [ { "block_id": 25214, "name": "V_250GB_572", "size": 238419, "status": "Available", "template": { "DEV_PREFIX": "vd", "DRIVER": "raw", "TOTAL_IOPS_SEC": "5000" }, "created_on": "2024-10-16T07:20:53Z", "size_string": "250 GB" } ], "message": "Success"}